Page MenuHomePhabricator

Outreachy Proposal : Making Education Dash Program usable for all languages and projects
Closed, DeclinedPublic

Description

Profile

Name: Haritha H
Email : haritha.h20@gmail.com
IRC : haritha28
Blog: harithaharikumar.wordpress.com
Github: www.github.io/haritha28
Time zone: UTC +5:30(IST- India)
Location: Kerala, India
Mentors: @Ragesoss ,@dduvall

About Me

I am 19 year old second year Computer Science Engineering undergraduate student from Amrita University, Kerala. I am an active and enthusiastic member for the FOSS Club in my college. The club is the reason how and why I came to know about Open Source Contributions. My first bug fix was within 7 days after I started with my setup. It was an awesome feeling to say I have made a bug fix and my patch got merged. Mediawiki has an awesome IRC channel where we have someone to answer our doubts however trivial they may be.

I came to know about this program from my mentor in FOSS club who guided me to start with mediawiki.

Experience with the organization

Mediawiki is my first FOSS contribution.
Worked on different types of bugs like Documentation, Adding Gender Support, HTML/CSS , Javascript ,PHP
Got an ample knowledge in using Phabricator, gerrit and git.

Projects worked on:

I have designed a website for a company which increased my confidence to work with Web designing area.
URL : www.iwash.com
I have fixed some bugs related to different extensions in Mediawiki
Gerrit : Haritha28

Project Outline

The notion for the development of Wikipedia Classroom projects in different languages would make it more interesting and useful. Henceforth primary focus of the project would be implementing i18n in a consistent codebase. Being resourceful Wikipedia, Wiktionary and Wikibooks are helps me in my education process and it’s a pure pleasure to contribute to Wiki Ed DashBoard.

Micro Tasks Working on:

T114908
T114906

Initial Work (Nov 5 - Nov 24 )

Before the internship period start the following tasks would be accomplished for the project:

  • Make a deep and clear idea on how to work with the i18n implementation and on how to
  • Getting more Wiki Ed Dashboard bugs and micro tasks fixed.

Project Schedule

TaskTime line
I18n Implementation7/12/2015 - 5/01/2016
Setting up an instance of wmflags.org6/01/2016 - 12/01/2016
Identification of Additional Features13/01/2016- 27/01/2016
Adding Option to disable Wizard assign tool28/01/2016-15/02/2016
Addition of Further Configuration to disable further features16/02/2016-27/02/1016
Packaging28/02/2016-3/03/2016
Deployment4/03/2016-5/03/2016
Final Submission6/03/2016

Other Commitments

Being in second year I have classes all weekdays a starting from Jan 1st till March. I do have exams in between. The maximum time I would take for these would be equal to three weeks which I would divide into a few hours from my weekdays. I have sorted out to work with my project for a minimum of 8 hours on all weekdays and a maximum of 5 hours during my exam days. On weekends the schedule would be to work on a minimum of 11 hours.

Working Hours:

Per week I would be spending at least 45 hours per week for the project.
Weekdays(Monday-Friday) : 5:00 p.m - 2 :00 a.m
Weekends : 9:00 a.m - 11 :00 p.m

Courses taken (Credits):

CourseCredits
Mathematical Statistics and Numerical Methods4
Computer Organization and Architecture4
Structures and Interpretation Of Computer Program4
Data Structures4
Introduction to Embedded Systems4
Data Structures Lab1
Embedded Systems Lab1
Soft Skills1

Event Timeline

Haritha28 claimed this task.
Haritha28 raised the priority of this task from to Needs Triage.
Haritha28 updated the task description. (Show Details)
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptOct 21 2015, 5:47 PM

Its strange that the application needs to have credits and courses taken. But I see it in https://wiki.gnome.org/Outreachy#Application_Form strange !

Haritha28 set Security to None.Oct 21 2015, 5:59 PM
Haritha28 added a subscriber: awight.

Hi! We noticed you're a student. How much time do you think you can commit to the project per week? And would you be taking time off for exams or other commitments? A rough estimate of hours per week you can put in would be good.

We are approaching the Outreachy'11 application deadline, and if you want to have your proposal considered to be part of this round, do sign up and add your proposal at https://outreachy.gnome.org/ before November 02 2015, 07:00 pm UTC. You can copy-paste the above proposal to the Outreachy application system, and keep on polishing it over here. Keep in mind that your mentors and the organization team will be evaluating your proposal here in Phabricator, and you are free to ask and get more reviews complying https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Answering_your_questions

Haritha28 updated the task description. (Show Details)Nov 1 2015, 4:56 AM
01tonythomas closed this task as Declined.Nov 23 2015, 8:45 AM

Thank you for your proposal. Sadly, the Outreachy administration team made it strict that candidates with any kind of academic/other commitments are not approved for this round. Please consider talking with your mentors about further steps, and we hope to see your application ( the same too, if the consensus still exist ) in the next round of GSoC/Outreachy. Closing the same as declined, and all the very best for the next round!

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 23 2015, 8:45 AM